For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update compensation reason details

Update compensation reason details

Required permissions: COMPENSATION

put
/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
compensationUidstringRequired

Reference to a compensation.

Pattern: ^[A-Za-z0-9-_]+
compensationReasonUidstringRequired

Reference to a compensation reason.

Pattern: ^[A-Za-z0-9-_]+
Body

productUid refers to the product that is added to an order when this compensation reason is added to the order. limit is the amount of total compensations on an order. Returns a warning if limit is exceeded.

reasonstringOptional
codestringOptional
productUidstringOptionalPattern: ^[A-Za-z0-9-_]*
limitintegerOptional
requireDocumentationbooleanOptional
Responses
201

Example response

application/json

productUid refers to the product that is added to an order when this compensation reason is added to the order. limit is the amount of total compensations on an order. Returns a warning if limit is exceeded.

reasonstringRequired
codestringRequired
productUidstringRequiredPattern: ^[A-Za-z0-9-_]*
limitintegerRequired
requireDocumentationbooleanRequired
compensationReasonUidstringRequired
put/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid}
PUT /v2/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "reason": "text",
  "code": "text",
  "productUid": "text",
  "limit": 1,
  "requireDocumentation": true
}
201

Example response

{
  "reason": "text",
  "code": "text",
  "productUid": "text",
  "limit": 1,
  "requireDocumentation": true,
  "compensationReasonUid": "text"
}

Last updated

Was this helpful?